# Power management

## Acpi

During installation Busybox's `acpid` has already been replaced by the regular `acpid` which means that it has to be configured in `/etc/acpi/handler.sh`. The default configuration works but by default will not suspend the device if an AC adapter is connected even if the lid is closed. Therefore it's recommended in `button/lid:*:close:*` to change it to:

```
#power-supply-ac || suspend
suspend
```

## TLP

To optimise battery on the device it's recommend to install `tlp` and activate it's service:

```
# apk add tlp
# rc-update add tlp default
```

`tlp` can be configured in `/etc/tlp.d` but the default configuration already works.
